summaryrefslogtreecommitdiff
path: root/app-admin
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-06-25 00:12:20 +0100
committerV3n3RiX <venerix@koprulu.sector>2024-06-25 00:12:20 +0100
commit996a2bda06cb164877d5d952774a6db1b271c2f3 (patch)
tree31930352b48fc7622d658ae37658c57ad9511ef6 /app-admin
parent67e5603b2844a6657dd0438fa26626b013e5567f (diff)
gentoo auto-resync : 25:06:2024 - 00:12:20
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/Manifest.gzbin32011 -> 32025 bytes
-rw-r--r--app-admin/hcloud/Manifest2
-rw-r--r--app-admin/hcloud/hcloud-1.44.0.ebuild31
-rw-r--r--app-admin/logrotate/Manifest8
-rw-r--r--app-admin/logrotate/logrotate-3.19.0.ebuild96
-rw-r--r--app-admin/logrotate/logrotate-3.22.0.ebuild (renamed from app-admin/logrotate/logrotate-3.20.1-r1.ebuild)23
-rw-r--r--app-admin/rsyslog/Manifest3
-rw-r--r--app-admin/rsyslog/files/50-default-r2.conf103
-rw-r--r--app-admin/rsyslog/files/README.gentoo-r139
-rw-r--r--app-admin/rsyslog/rsyslog-8.2404.0-r1.ebuild509
10 files changed, 703 insertions, 111 deletions
diff --git a/app-admin/Manifest.gz b/app-admin/Manifest.gz
index 0494433c5fa2..23f8b4df579f 100644
--- a/app-admin/Manifest.gz
+++ b/app-admin/Manifest.gz
Binary files differ
diff --git a/app-admin/hcloud/Manifest b/app-admin/hcloud/Manifest
index cf4b6e120ebe..44a5d50d72c2 100644
--- a/app-admin/hcloud/Manifest
+++ b/app-admin/hcloud/Manifest
@@ -1,3 +1,5 @@
DIST hcloud-1.43.1.tar.xz 1889004 BLAKE2B 563cde962cf1fd180bbef60127b714419c09da198afeb4923f8fc1cd48850131b3b91de243de43e269497f36d14757a1e71941d30dfbee98baebb533f20e6cdd SHA512 c8fa46e9d3e2c73cc2d86e597bebf6e1dbf28b7145dbc272c403607807251ac27eee14b9ad267fdf2aa730da16ce52be4d2b0d94653612b4f375f1779c95d90b
+DIST hcloud-1.44.0.tar.xz 2198712 BLAKE2B 120960528a1ef82993acd6ce791dd2f7a47968ab933f896e0d19df2d85b1453d3a4c7cbf6482aa0f051a6bcdd90a1ce34d7ff22ae10162c09b96b7afac9387bd SHA512 7fc6a4c531f991fc96decc79aa869bd875167a741630e86801bdc538877d372183f8ee34e2e4d683230f556573df01ab6f87f30cde6a43ffe70da1437bcfcd2d
EBUILD hcloud-1.43.1.ebuild 644 BLAKE2B 30273b4b3244eca66768acebc13756f702912728e8e42aaa66b17ae72956d79e99e80b3a2a0bf667589b931eaef0b53178ac1384499df33485ce2c039f6bb89d SHA512 f2b86d28d88c28ea3eda268c1ec8f6fb0ec356af0693278e8fdda80f5929b3f3fd745837d7b3f78853ba7e36644f7fb66cca60699ba3fabfdafe58560923b778
+EBUILD hcloud-1.44.0.ebuild 645 BLAKE2B 479b4959afc11357387cc1cec715f31e8b63f2d66e9fade3e0916e9133c41e9726c345615828b4b547a2512892f3ec54c615e0ed1b64c69dee0f95b33fe680c2 SHA512 91df85323ebcef2444b5e983b584dfa5d039e3e87d7bafe90f40f1376918dfd780a6d8afe639ac517d8f149cc398abf7072dfd0f3436b72474949f9ccc4232bc
MISC metadata.xml 338 BLAKE2B 6ba2cbe509581ac35dabd93abe166f960d69d1f14336779848483386d28e22dd06e5d196061312827b7a945369f05a466417a1636b607e138515957a75db6f84 SHA512 cc69ce0ab7ba3a9af94ef1918738074cdd725bef2ff70d6c19e46d07bb9514d05ef6415c7ba5b372e7a98902a8440cdb9f7b14a848c3ff2f054863356971ddde
diff --git a/app-admin/hcloud/hcloud-1.44.0.ebuild b/app-admin/hcloud/hcloud-1.44.0.ebuild
new file mode 100644
index 000000000000..c4449b25b091
--- /dev/null
+++ b/app-admin/hcloud/hcloud-1.44.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="A command-line interface for Hetzner Cloud"
+HOMEPAGE="https://github.com/hetznercloud/cli"
+SRC_URI="https://dev.gentoo.org/~ago/distfiles/${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_compile() {
+ ego build -o ${PN} -ldflags "-w -X github.com/hetznercloud/cli/internal/version.versionPrerelease=gentoo" ./cmd/${PN}
+}
+
+src_test() {
+ # For upstream a simple test is run 'hcloud version'
+ ./hcloud version
+ if [[ $? -ne 0 ]]
+ then
+ die "Test failed"
+ fi
+}
+
+src_install() {
+ dobin ${PN}
+}
diff --git a/app-admin/logrotate/Manifest b/app-admin/logrotate/Manifest
index b492eafa367d..e969fef2fc56 100644
--- a/app-admin/logrotate/Manifest
+++ b/app-admin/logrotate/Manifest
@@ -2,12 +2,10 @@ AUX logrotate-3.15.0-ignore-hidden.patch 566 BLAKE2B 1739e0d175311eb2a3692826830
AUX logrotate-3.20.1-log-changes.patch 5617 BLAKE2B 775652dc7b8fc70e8ee57efb3f6d5d1763e1519493d72b2e07f0ed927c1f0c02567e5a1413ab22d562efae91e99a52c806aa4bc811637a259bcf5c6b8f7e6e03 SHA512 c934a526e4e8612a2df77912ce010873c0f6fe120a48d4f714ec8b90ac76a0a59df5a21b24da522d664be250153c0ec887b3381568d6389dcca46e523d10ea3e
AUX logrotate.conf 740 BLAKE2B ade43681e1929aa8b7e167a2be0c8569f3842680687381c202ac04b5cf97cd85481f6ca7fbf6f0dffa64caa3b1d9cb0f1e2154af8882a3ce7008337f2a5ede6f SHA512 6411acd842fac1a8af72142cddfa76b567f6ba859bed91dab56f1d26b48f3dcaa3ffee6c8094860fe9c43f9b6bc398199c8f4047856b91d6d12333d0fc7aef96
AUX logrotate.tmpfiles 16 BLAKE2B 1f7925d6d2d4bc120d5202f49887b23e2eb633f5c369fe8d0bd1703e5075671dd1e13a030ec06fa269214bff9552670d3e0932e3dbde2e3673d59b7a50a2458b SHA512 f51852b1d5708a8fc48c6fcfd2fc4f34f3cd88d9119c607c0cb47f0cc0dc7370bd3399a9ebf781943cdd16a25bb4db0d81337140fc179faa72e18a848f3d8c36
-DIST logrotate-3.19.0.tar.xz 166276 BLAKE2B bb19690ca092905e527f6a0a7915373a65b29d3b50d97456ed31aa9b5b5698b3ae266c8e247a167198dcd8891a7e330f4913dfefa3563e5b2de7a6e0d067a6c3 SHA512 7838e14a5b147f6e5edf6efdf743deeca39fdb563fc6f14aa010ac5b7bdef9c2bb8005415481d1b042b31975052d5ed6e75c4bcd7e378003427ebe5ec02a1f2c
-DIST logrotate-3.20.1.tar.xz 166712 BLAKE2B 8481e0d746c6bcbe10f2686a921334c6f957c8d92520927de7bc8fb0b7631a444fedaa80f35bc2de7961b3d5833ce4ab885b1298b235b7f8b33cc3ae05438da6 SHA512 a9ed5796ab254f511d0029a8f29ef7557f62e12e3ea9af24e30b5b9f348b1c1a16df26d44314b78299916fb3b5000b9cd9eed7cee2cee8df11cfd8e40c79b092
-DIST logrotate-3.20.1.tar.xz.asc 833 BLAKE2B afc02177335bcd580e0617af8c50846b371c2d00ecd8fe329c2e298dc8c48823137625f455cea3d983a0d9971733297fa2c4d98ba3c6f72d2c07f8f21108cfe4 SHA512 2dd207feec431b223ff12f09f6cce14409d45e5bb3abaf2275dd773c7ee7c59ed7d32395e5869bfed70c970be4158fd299e6e269838378843dcb63ca5ebfa029
DIST logrotate-3.21.0.tar.xz 168532 BLAKE2B f7fa0050bde51e2517eac8456ecf87648bc8423621830894ceb2a3ff6b9dfe32c5b53df6a4ee59aa91bd563ed94376a635159535f4fdc170fbc673354bcef508 SHA512 c576df7d2bc1a1db2f99befdd0ea627aef2d97bdcd4a7cdea76870623ba92fb1f04f1af6d15b75e4a9085f4aef2ae5e9843c4094cdd01e24d89872ccaf9c0d4a
DIST logrotate-3.21.0.tar.xz.asc 833 BLAKE2B b2099a0b8c15d1ea7f7325884027dff08dcc8305113411448797b8089d17026242a3f10bd6d7f3d865e3e339ec6fb5faf4ff48f8fd65bca3af4da8b335c3b5f1 SHA512 8f4c1853cd84f85c796b72b43048f4cf04e3409703e7669ee91e1d1aa5e9e5c04261fac1cdf85ec303508d5b6dbf126a44eb9ec819bcc772c664830d39e1068c
-EBUILD logrotate-3.19.0.ebuild 2257 BLAKE2B 0a66afed01ac2efcefccbb3abc5309ae27fcde5429368e13a17dc4672d06c6c67bd5546cf5e80da69eaa3f1cf36149409db004682e27d4e9995056deb0fe06df SHA512 f3d7b346b50e086bb50fa7d1b5d854d4c5fdf9a9700d9212eeb992da8a0dbf6c4a8b21ee0bf5a26d917ed2a581980952121d2c0c88f6fe1d3ca474db30a96d3f
-EBUILD logrotate-3.20.1-r1.ebuild 2503 BLAKE2B 76fe5e9a539d11b2006e4033cb0f5d4d25c85b58e8f07a20cf95512385188b8fe3d417a4ec17c1639f7f35519ed91c624985f261506f991ff6cb2fd90b755163 SHA512 463ce19bb29fd427585f6c501cae9d316b0b3bdad923b54de0305ffcac1992ca56bf3b8944ca15ca8f1d46fc48de8df7f3aa5af25d4f951af7bfd98f461675c3
+DIST logrotate-3.22.0.tar.xz 172108 BLAKE2B c1c9f1ff792905d2917e9ba3cee360c50259e1520e04073cb69abe475499adcf01aeb3cb4c6933af61255fbb5978577c4fdf9d6ab6ebf9568358d2446791c7f3 SHA512 16fd95b4daef779212008c4a968c7a7130be8d550f58531d24fc04599cb9adff6323a745725b3b14d7312ad36cb6646fe33a3defdb5b70cda2cec9646aab066a
+DIST logrotate-3.22.0.tar.xz.asc 833 BLAKE2B 379d4fd71c6161211234903560770cf14a7ddf769b83e76ef27ad96d1204e2f4dc73d1e44aa69401db87c252c4471d5bdbace0555dfbb66c8751c20131a7751f SHA512 93664c45bfe9ea20aedc54fe216825db38eaf81d43b238cd7bf8ea3e03f7d282f53743fb6d914766a9ed0cb5b33376435d253db5b9ec7039facd66e25d349dd4
EBUILD logrotate-3.21.0.ebuild 2471 BLAKE2B be73535edab5a122e084e94bbd8c8bf6d0ff444b1b03afa0915fa0c774154b3e8a4eaf32fa0a4269dcde2bc9e54139800d3787edcd8f09b219b719822f1252b1 SHA512 d69aa64b875184e464a14bd64b40f012b47f8eda107ce321b5e76613e88b049680d0dab31341870c5fabdd1c2288535a230bd20d778679501d2c832aa1497536
+EBUILD logrotate-3.22.0.ebuild 2473 BLAKE2B cf0775df81fe685df3dfdd1aea443da3a569b0646f73de4afe9fb1764d271afa86234fecd60564033b51bffe3b3ae83af3c7b2979d4901d42b9baff35c64731a SHA512 9a1e68e9b01b27e40e94ebf41cc1554f1e0c7ecfc3262c1867db086c8c8dded8eb84be8708e0856ac4ea43209706f4cd37abd9f0655a2ff458c8c408d7e37519
MISC metadata.xml 1203 BLAKE2B 434c8f014678fca0829df99c4af0a965721dd5023baee7e0684b66993db4895152c879a71bb7c73a434834d648392d96985260a61d98209c14238dc18884576a SHA512 785c3c4c45ce53caab03bfa43be4240b9e0514885c2e195729cba576b2f26c17744be9f5767342626e1052475a3f1f2a089a698b541730b8a94e04bfc5d9d837
diff --git a/app-admin/logrotate/logrotate-3.19.0.ebuild b/app-admin/logrotate/logrotate-3.19.0.ebuild
deleted file mode 100644
index 461e26ab35da..000000000000
--- a/app-admin/logrotate/logrotate-3.19.0.ebuild
+++ /dev/null
@@ -1,96 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit systemd tmpfiles
-
-DESCRIPTION="Rotates, compresses, and mails system logs"
-HOMEPAGE="https://github.com/logrotate/logrotate"
-SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.xz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-IUSE="acl +cron selinux"
-
-DEPEND=">=dev-libs/popt-1.5
- selinux? ( sys-libs/libselinux )
- acl? ( virtual/acl )"
-RDEPEND="${DEPEND}
- selinux? ( sec-policy/selinux-logrotate )
- cron? ( virtual/cron )"
-
-STATEFILE="${EPREFIX}/var/lib/misc/logrotate.status"
-OLDSTATEFILE="${EPREFIX}/var/lib/logrotate.status"
-
-PATCHES=(
- "${FILESDIR}/${PN}-3.15.0-ignore-hidden.patch"
-)
-
-move_old_state_file() {
- elog "logrotate state file is now located at ${STATEFILE}"
- elog "See bug #357275"
- if [[ -e "${OLDSTATEFILE}" ]] ; then
- elog "Moving your current state file to new location: ${STATEFILE}"
- mv -n "${OLDSTATEFILE}" "${STATEFILE}" || die
- fi
-}
-
-install_cron_file() {
- exeinto /etc/cron.daily
- newexe "${S}"/examples/logrotate.cron "${PN}"
-}
-
-src_prepare() {
- default
-
- sed -i -e 's#/usr/sbin/logrotate#/usr/bin/logrotate#' examples/logrotate.{cron,service} || die
-}
-
-src_configure() {
- econf \
- $(use_with acl) \
- $(use_with selinux) \
- --with-state-file-path="${STATEFILE}"
-}
-
-src_test() {
- emake test
-}
-
-src_install() {
- dobin logrotate
- doman logrotate.8
- dodoc ChangeLog.md
-
- insinto /etc
- doins "${FILESDIR}"/logrotate.conf
-
- use cron && install_cron_file
-
- systemd_dounit examples/logrotate.{service,timer}
- newtmpfiles "${FILESDIR}"/${PN}.tmpfiles ${PN}.conf
-
- keepdir /etc/logrotate.d
-}
-
-pkg_postinst() {
- elog
- elog "The ${PN} binary is now installed under /usr/bin. Please"
- elog "update your links"
- elog
-
- move_old_state_file
-
- tmpfiles_process ${PN}.conf
-
- if [[ -z ${REPLACING_VERSIONS} ]] ; then
- elog "If you wish to have logrotate e-mail you updates, please"
- elog "emerge virtual/mailx and configure logrotate in"
- elog "/etc/logrotate.conf appropriately"
- elog
- elog "Additionally, /etc/logrotate.conf may need to be modified"
- elog "for your particular needs. See man logrotate for details."
- fi
-}
diff --git a/app-admin/logrotate/logrotate-3.20.1-r1.ebuild b/app-admin/logrotate/logrotate-3.22.0.ebuild
index 83351a930bbc..9426d975db21 100644
--- a/app-admin/logrotate/logrotate-3.20.1-r1.ebuild
+++ b/app-admin/logrotate/logrotate-3.22.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/kamildudka.asc
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/cgzones.asc
inherit systemd tmpfiles verify-sig
DESCRIPTION="Rotates, compresses, and mails system logs"
@@ -13,23 +13,26 @@ SRC_URI+=" verify-sig? ( https://github.com/${PN}/${PN}/releases/download/${PV}/
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="acl +cron selinux"
-DEPEND=">=dev-libs/popt-1.5
+DEPEND="
+ >=dev-libs/popt-1.5
selinux? ( sys-libs/libselinux )
- acl? ( virtual/acl )"
-RDEPEND="${DEPEND}
+ acl? ( virtual/acl )
+"
+RDEPEND="
+ ${DEPEND}
selinux? ( sec-policy/selinux-logrotate )
- cron? ( virtual/cron )"
-BDEPEND="verify-sig? ( sec-keys/openpgp-keys-kamildudka )"
+ cron? ( virtual/cron )
+"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-cgzones )"
STATEFILE="${EPREFIX}/var/lib/misc/logrotate.status"
OLDSTATEFILE="${EPREFIX}/var/lib/logrotate.status"
PATCHES=(
"${FILESDIR}"/${PN}-3.15.0-ignore-hidden.patch
- "${FILESDIR}"/${P}-log-changes.patch
)
move_old_state_file() {
diff --git a/app-admin/rsyslog/Manifest b/app-admin/rsyslog/Manifest
index 4596c87aee67..488485d5329c 100644
--- a/app-admin/rsyslog/Manifest
+++ b/app-admin/rsyslog/Manifest
@@ -1,5 +1,7 @@
AUX 50-default-r1.conf 1952 BLAKE2B dca027ea6073384a2ec5867722028f70599c51fd8c46672ce647e84a7de4b3a0dc5bfaf43f7317eddb902c4987266ae67f88b43375a51e82a3ffefbb61c4d099 SHA512 1bc4d8059d83de57ff44d34265b0c3881bab7889f51c044728ba462c9105c89425187f95b6b01d6d6d103abde22a9dff063e5d6b90027ed87e9f851f9b1ad5b3
+AUX 50-default-r2.conf 1768 BLAKE2B e28305ddfe053a3fbcac298753d79382fe00df75a3ac3376f5f0dbec9163d3272b8193cf209b99d13832627350fda546010a536da230a5a4713832b9db49117c SHA512 d295e8ed882bfc0adab8f422408db63572a8f48d01fa9d7893a7c15f8746c0b5e86cd44ee6cf8c6c5d9a27ce3ccac724afefd390ebc5f6e9669399d3e303069e
AUX README.gentoo 1126 BLAKE2B b7e3881605c2bacda7f415b3f3195e1ef405a8e9fc7fd627fd35b0ab90966cbb29c9a85fcf2df6092062c5af353d44a02d3451e3caa072f4fa44d681702e9807 SHA512 46fdf3350e2005d3ef588d50dfc6d474a1b5d3010329b656879a43cbbd7be0cd91944b88d3838f45f69c830fc28c42e7fac2cd52e0a4b24bb6780562d59ae384
+AUX README.gentoo-r1 1334 BLAKE2B 8c7e39fc1b234088079b58bb3385d64df06e6e4e05d5378c9d456e4a74179dd75659e1e4674ec34100fb62aea7279f6b6d641ebc951372e61fa1c01601af9afd SHA512 b2954402142bbc1690320f76e1397d3135f0be7b6d27e15e318836c24b36f06cd45bbe5135d647d971398e87a1f6eea85fa92f19b49091762db745f4e60488b9
AUX rsyslog-8.2112.0-pr5024-configure.patch 1651 BLAKE2B d3e397df64141687fb049fe20ccde9941eb8449bb0b68154558cc8c72f09897c183ffe8c24982f3aa032947ab5a14601d4a903fb9c8923dfe0f757ccd887cacd SHA512 83fd6b2de1ca14b7bdf1920d5af5038dbc1ca24d8679909e5cd6427612457b7583ee8f0ddaeed42f0e0a926900c4b547b25680b08bec96a122ebe2ba7840a109
AUX rsyslog-r1.logrotate 994 BLAKE2B 36dee881c2cb79ce69678c7cb12c71fb70d970e5e10728a8d2b8acf2c08f613cea9c2a74d78ed7b75333147a6b1a553fe281956990e044a9db651c7486690dee SHA512 5ca68b4eec5bebaed48edb69c85f8338273db847ab1cc6999ce7cfe06644dc3854c3040e0ebd8a4900c213b267b2a081e7901ceb4e58f9dfdc7dc036aff02b6c
AUX rsyslog.conf 1562 BLAKE2B 3abbc4c13c8c1d3817ac9a7c7f048aa1a8d7f279bf638dc91d15a785ad42c1b34a61de0be33b4ffa218a655849aeceff3e8686384e1d77472417235ce453b546 SHA512 1720174fab020e2de590f3d6bbb03784aca1928fe05f7e75e02fb4597cb8b2ee755e6deb8e8f989060511044ae483f791f496f24e0eecaf27eb9e0b5e20a2c7a
@@ -8,5 +10,6 @@ AUX rsyslog.initd-r1 1755 BLAKE2B 768dc0d2bcbf240b7a09e814d681ce65a319cd128ef40b
AUX rsyslog.service 644 BLAKE2B 311072ff896b07d82e9d88b34120b4fa903b7a84c5ac9686751bd88db5263c912e60a7be1e90fa50ecd3b10b14d046f525227b1feb39528ef488b8879d58ba84 SHA512 5d11cfe47ca797941815f51f08d4e8e308e4827bed9235ddf1174f3357d7279a3c8151e02f1cbd3cf3a6d2f7d5e2f68061d3e17fab6a0291f01c32f88e995039
DIST rsyslog-8.2404.0.tar.gz 3408657 BLAKE2B 67170f1ba4ad61bd79088a313ee9b093ecaab512ce24ca56cfe605d4589276406abe593d791736ecb7b2f44be998b3836173272eb5dd69f7bc9ea8d5b49d462e SHA512 fda8032ab7f9cb6c46693edeb95d2b47ab7673836ff44d0686bbbd5a3759885f65a80e1a311c809c2332a19559b0297ac7d8e59e5f828372839f67dbf362e6b1
DIST rsyslog-doc-8.2404.0.tar.gz 6568723 BLAKE2B 4bc522f9146754a9ebae5f5f7ffb87cfa2da3d9b0832b902c73896d788a061ad4b99cd269b4fb8fc42917311ea5621dfd398428046c53883e9bba859252172ec SHA512 ea88fcf81fb45be515f1b8e7699efabba98eb7e5fcd2d5046424c303db95926a36baa1215143c05e39b9a86dcfdbc73c5c3a76dee382d7b8f1916653169df264
+EBUILD rsyslog-8.2404.0-r1.ebuild 13415 BLAKE2B 72523091059833a8f14c5574577c87692488cc2c28c20b9fd8cec4439e78f477b6badc0c03f565fb81ec412b23ba13fcf8ba4f12eba00818f4233b9dd5dd8d31 SHA512 5347083948f15b4deb38af5946eb752488e82ec64001fafc1c3448c7d17124528fe9da5325582eed51cef2ee50cbb3cdb72150d51cb2c5f4c0d44a4ec16e679e
EBUILD rsyslog-8.2404.0.ebuild 13432 BLAKE2B 50e26c6a1f7e88906704427e906a7b21eff19c6d59ac3e8ff9892045f5f10dcf126a7b76dbf333facd64eccf18b93702bc751f492a754daecfa49d70cd59f48e SHA512 f7c4945c5e756c474f3f6e60f3bd30f29b825c739e1ba6aeed470948fe929cccbe8b75c7ab17191e0bf6120a2a69e1fc166de8a43958ea74eaaa7313da9ab38e
MISC metadata.xml 4688 BLAKE2B 61d9ef924def00bed85b9b164e95ae8f512e51a0f0090b61a5737ee93b21db69db642867ddb6076fda757ae10748b9172de42754839d01859529aec70760d04f SHA512 01bedda2baeefccffc765550ab2f8aa29235e7a3a3fc8b765beb205518785da9fb5905037ad9e8e6ba9385d2f009d260260e3c207bbf1eea5a5ce4834a004365
diff --git a/app-admin/rsyslog/files/50-default-r2.conf b/app-admin/rsyslog/files/50-default-r2.conf
new file mode 100644
index 000000000000..07f27b6820a1
--- /dev/null
+++ b/app-admin/rsyslog/files/50-default-r2.conf
@@ -0,0 +1,103 @@
+#######################
+### DEFAULT ACTIONS ###
+#######################
+
+auth,authpriv.* action(
+ name="action_auth"
+ type="omfile"
+ File="/var/log/auth.log"
+ FileCreateMode="0600"
+ FileOwner="root"
+ FileGroup="adm"
+ Sync="off"
+)
+
+cron.* action(
+ name="action_cron"
+ type="omfile"
+ File="/var/log/cron.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+daemon.* action(
+ name="action_daemon"
+ type="omfile"
+ File="/var/log/daemon.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+kern.* action(
+ name="action_kern"
+ type="omfile"
+ File="/var/log/kern.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+lpr.* action(
+ name="action_lpr"
+ type="omfile"
+ File="/var/log/lpr.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+mail.* action(
+ name="action_mail"
+ type="omfile"
+ File="/var/log/mail.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+news.* action(
+ name="action_news"
+ type="omfile"
+ File="/var/log/news.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+user.* action(
+ name="action_user"
+ type="omfile"
+ File="/var/log/user.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+*.=debug;auth,authpriv,news,mail.none action(
+ name="action_debug"
+ type="omfile"
+ File="/var/log/debug.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+*.info;auth,authpriv,cron,daemon,lpr,mail,news.none action(
+ name="action_messages"
+ type="omfile"
+ File="/var/log/messages"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+# Uncomment the following directive to re-enable the
+# deprecated "/var/log/syslog" log file (don't forget to re-enable log
+# rotation in "/etc/logrotate.d/rsyslog" if you do that!)
+#*.*;auth,authpriv.none action(
+# name="action_syslog"
+# type="omfile"
+# File="/var/log/syslog"
+# FileOwner="root"
+# FileGroup="adm"
+#)
+
+*.emerg action(
+ name="action_emerge"
+ type="omusrmsg"
+ Users="*"
+ action.execOnlyOnceEveryInterval="10"
+)
diff --git a/app-admin/rsyslog/files/README.gentoo-r1 b/app-admin/rsyslog/files/README.gentoo-r1
new file mode 100644
index 000000000000..98f63a39cada
--- /dev/null
+++ b/app-admin/rsyslog/files/README.gentoo-r1
@@ -0,0 +1,39 @@
+Introduction
+============
+
+Since rsyslog version 7.6 we are shipping a new default Gentoo
+configuration. See bug #501982 to learn more about what we were trying to
+achieve by rewriting the entire configuration.
+
+
+Important changes
+=================
+
+1. "/var/log/syslog" log file is now deprecated
+
+ Beginning with rsyslog-7.6, the "/var/log/syslog" log file will no
+ longer being written per default. We are considering this file as
+ deprecated/obsolet for the typical user/system.
+ The content from this log file is still availble through other
+ (dedicated) log files, see
+
+ - /var/log/cron.log
+ - /var/log/daemon.log
+ - /var/log/mail.log
+ - /var/log/messages
+
+ If you really need the old "/var/log/syslog" log file, all you have to
+ do is uncommenting the corresponding configuration directive in
+ "/etc/rsyslog.d/50-default.conf".
+
+ If you do so, don't forget to re-enable log rotation in
+ "/etc/logrotate.d/rsyslog", too.
+
+
+2. "/var/empty/dev/log" no longer default
+
+ Before version 8.2404.0-r1 there was an additional input socket in
+ "/var/empty/dev/log" (default chroot location) in 8.2404.0-r1 that socket
+ was removed form the default configuration. Users can enable that socket
+ if they need to on their own but it shouldn't be necessary when running new
+ versions of openssh.
diff --git a/app-admin/rsyslog/rsyslog-8.2404.0-r1.ebuild b/app-admin/rsyslog/rsyslog-8.2404.0-r1.ebuild
new file mode 100644
index 000000000000..514cb65782b2
--- /dev/null
+++ b/app-admin/rsyslog/rsyslog-8.2404.0-r1.ebuild
@@ -0,0 +1,509 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit autotools linux-info python-any-r1 systemd
+
+DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
+HOMEPAGE="https://www.rsyslog.com/
+ https://github.com/rsyslog/rsyslog/"
+
+if [[ "${PV}" == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"
+ DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"
+
+ inherit git-r3
+else
+ SRC_URI="
+ https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
+ doc? (
+ https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz
+ )
+ "
+
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~sparc ~x86"
+fi
+
+LICENSE="GPL-3 LGPL-3 Apache-2.0"
+SLOT="0"
+
+IUSE="clickhouse curl dbi debug doc elasticsearch +gcrypt gnutls imhttp"
+IUSE+=" impcap jemalloc kafka kerberos kubernetes mdblookup"
+IUSE+=" mongodb mysql normalize omhttp omhttpfs omudpspoof +openssl"
+IUSE+=" postgres rabbitmq redis relp rfc3195 rfc5424hmac snmp +ssl"
+IUSE+=" systemd test usertools +uuid xxhash zeromq"
+
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+ kubernetes? ( normalize )
+ ssl? ( || ( gnutls openssl ) )
+"
+
+BDEPEND=">=dev-build/autoconf-archive-2015.02.24
+ sys-apps/lsb-release
+ virtual/pkgconfig
+ test? (
+ jemalloc? ( <sys-libs/libfaketime-0.9.7 )
+ !jemalloc? ( sys-libs/libfaketime )
+ ${PYTHON_DEPS}
+ )"
+
+RDEPEND="
+ >=dev-libs/libfastjson-0.99.8:=
+ >=dev-libs/libestr-0.1.9
+ >=sys-libs/zlib-1.2.5
+ curl? ( >=net-misc/curl-7.35.0 )
+ dbi? ( >=dev-db/libdbi-0.8.3 )
+ elasticsearch? ( >=net-misc/curl-7.35.0 )
+ gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
+ imhttp? (
+ dev-libs/apr-util
+ www-servers/civetweb
+ virtual/libcrypt:=
+ )
+ impcap? ( net-libs/libpcap )
+ jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
+ kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
+ kerberos? ( virtual/krb5 )
+ kubernetes? ( >=net-misc/curl-7.35.0 )
+ mdblookup? ( dev-libs/libmaxminddb:= )
+ mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
+ mysql? ( dev-db/mysql-connector-c:= )
+ normalize? (
+ >=dev-libs/liblognorm-2.0.3:=
+ )
+ clickhouse? ( >=net-misc/curl-7.35.0 )
+ omhttpfs? ( >=net-misc/curl-7.35.0 )
+ omudpspoof? ( >=net-libs/libnet-1.1.6 )
+ postgres? ( >=dev-db/postgresql-8.4.20:= )
+ rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
+ redis? (
+ >=dev-libs/hiredis-0.11.0:=
+ dev-libs/libevent[threads(+)]
+ )
+ relp? ( >=dev-libs/librelp-1.2.17:= )
+ rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
+ rfc5424hmac? (
+ >=dev-libs/openssl-0.9.8y:0=
+ )
+ snmp? ( >=net-analyzer/net-snmp-5.7.2 )
+ ssl? (
+ gnutls? ( >=net-libs/gnutls-2.12.23:0= )
+ openssl? (
+ dev-libs/openssl:0=
+ )
+ )
+ systemd? ( >=sys-apps/systemd-234 )
+ uuid? ( sys-apps/util-linux:0= )
+ xxhash? ( dev-libs/xxhash:= )
+ zeromq? (
+ >=net-libs/czmq-4:=[drafts]
+ )"
+
+DEPEND="
+ ${RDEPEND}
+ elibc_musl? ( sys-libs/queue-standalone )
+"
+
+if [[ "${PV}" == "9999" ]]; then
+ BDEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
+ BDEPEND+=" >=app-alternatives/lex-2.5.39-r1"
+ BDEPEND+=" >=app-alternatives/yacc-2.4.3"
+ BDEPEND+=" >=dev-python/docutils-0.12"
+fi
+
+CONFIG_CHECK="~INOTIFY_USER"
+WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"
+
+PATCHES=( "${FILESDIR}/${PN}-8.2112.0-pr5024-configure.patch" )
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_unpack() {
+ if [[ "${PV}" == "9999" ]]; then
+ git-r3_fetch
+ git-r3_checkout
+ else
+ unpack "${P}.tar.gz"
+ fi
+
+ if use doc; then
+ if [[ "${PV}" == "9999" ]]; then
+ local _EGIT_BRANCH=
+ if [[ -n "${EGIT_BRANCH}" ]]; then
+ # Cannot use rsyslog commits/branches for documentation repository
+ _EGIT_BRANCH="${EGIT_BRANCH}"
+
+ unset EGIT_BRANCH
+ fi
+
+ git-r3_fetch "${DOC_REPO_URI}"
+ git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs
+
+ if [[ -n "${_EGIT_BRANCH}" ]]; then
+ # Restore previous EGIT_BRANCH information
+ EGIT_BRANCH=${_EGIT_BRANCH}
+ fi
+ else
+ cd "${S}" || die "Cannot change dir into '${S}'"
+ mkdir docs || die "Failed to create docs directory"
+ cd docs || die "Failed to change dir into '${S}/docs'"
+
+ unpack "${PN}-doc-${PV}.tar.gz"
+ fi
+ fi
+}
+
+src_prepare() {
+ default
+
+ # Bug: https://github.com/rsyslog/rsyslog/issues/3626
+ sed -i \
+ -e '\|^#!/bin/bash$|a exit 77' \
+ tests/mmkubernetes-cache-expir*.sh \
+ || die "Failed to disable known test failure mmkubernetes-cache-expir*.sh"
+
+ sed -i \
+ -e '\|^#!/bin/bash$|a exit 0' \
+ tests/omprog-close-unresponsive*.sh \
+ || die "Failed to disable test omprog-close-unresponsive*.sh"
+
+ sed -i \
+ -e '\|^#!/bin/bash$|a exit 0' \
+ tests/uxsock_simple.sh \
+ || die "Failed to disable test uxsock_simple.sh"
+
+ eautoreconf
+}
+
+src_configure() {
+ # Maintainer notes:
+ # * Guardtime support is missing because libgt isn't yet available
+ # in portage.
+ # * Hadoop's HDFS file system output module is currently not
+ # supported in Gentoo because nobody is able to test it
+ # (JAVA dependency).
+ # * dev-libs/hiredis doesn't provide pkg-config (see #504614,
+ # upstream PR 129 and 136) so we need to export HIREDIS_*
+ # variables because rsyslog's build system depends on pkg-config.
+
+ if use redis ; then
+ export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
+ export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
+ fi
+
+ local -a myeconfargs=(
+ --disable-debug-symbols
+ --disable-generate-man-pages
+ --without-valgrind-testbench
+ --disable-liblogging-stdlog
+ --disable-imfile-tests # Some imfile tests fail (noticed in version 8.2208.0)
+ $(use_enable test testbench)
+ $(use_enable test libfaketime)
+ $(use_enable test extended-tests)
+ # Input Plugins without dependencies
+ --enable-imbatchreport
+ --enable-imdiag
+ --enable-imdocker
+ --enable-imfile
+ --enable-improg
+ --enable-impstats
+ --enable-imptcp
+ # Message Modificiation Plugins without dependencies
+ --enable-mmanon
+ --enable-mmaudit
+ --enable-mmcount
+ --enable-mmfields
+ --enable-mmjsonparse
+ --enable-mmpstrucdata
+ --enable-mmrm1stspace
+ --enable-mmsequence
+ --enable-mmtaghostname
+ --enable-mmutf8fix
+ # Output Modification Plugins without dependencies
+ --enable-mail
+ --enable-omprog
+ --enable-omruleset
+ --enable-omstdout
+ --enable-omuxsock
+ # Misc
+ --enable-fmhash
+ --enable-fmunflatten
+ $(use_enable xxhash fmhash-xxhash)
+ --enable-pmaixforwardedfrom
+ --enable-pmciscoios
+ --enable-pmcisconames
+ --enable-pmdb2diag
+ --enable-pmlastmsg
+ $(use_enable normalize pmnormalize)
+ --enable-pmnull
+ --enable-pmpanngfw
+ --enable-pmsnare
+ # DB
+ $(use_enable dbi libdbi)
+ $(use_enable mongodb ommongodb)
+ $(use_enable mysql)
+ $(use_enable postgres pgsql)
+ $(use_enable redis imhiredis)
+ $(use_enable redis omhiredis)
+ # Debug
+ $(use_enable debug)
+ $(use_enable debug diagtools)
+ $(use_enable debug valgrind)
+ # Misc
+ $(use_enable clickhouse)
+ $(use_enable curl fmhttp)
+ $(use_enable elasticsearch)
+ $(use_enable gcrypt libgcrypt)
+ $(use_enable imhttp)
+ $(use_enable impcap)
+ $(use_enable jemalloc)
+ $(use_enable kafka imkafka)
+ $(use_enable kafka omkafka)
+ $(use_enable kerberos gssapi-krb5)
+ $(use_enable kubernetes mmkubernetes)
+ $(use_enable normalize mmnormalize)
+ $(use_enable mdblookup mmdblookup)
+ $(use_enable omhttp)
+ $(use_enable omhttpfs)
+ $(use_enable omudpspoof)
+ $(use_enable rabbitmq omrabbitmq)
+ $(use_enable relp)
+ $(use_enable rfc3195)
+ $(use_enable rfc5424hmac mmrfc5424addhmac)
+ $(use_enable snmp)
+ $(use_enable snmp mmsnmptrapd)
+ $(use_enable gnutls)
+ $(use_enable openssl)
+ $(use_enable systemd imjournal)
+ $(use_enable systemd omjournal)
+ $(use_enable usertools)
+ $(use_enable uuid)
+ $(use_enable zeromq imczmq)
+ $(use_enable zeromq omczmq)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ default
+
+ if use doc && [[ "${PV}" == "9999" ]]; then
+ einfo "Building documentation ..."
+ local doc_dir="${S}/docs"
+ cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
+ sphinx-build -b html source build || die "Building documentation failed!"
+ fi
+}
+
+src_test() {
+ local _has_increased_ulimit=
+
+ # Sometimes tests aren't executable (i.e. when added via patch)
+ einfo "Adjusting permissions of test scripts ..."
+ find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
+ die "Failed to adjust test scripts permission"
+
+ if ulimit -n 3072; then
+ _has_increased_ulimit="true"
+ fi
+
+ if ! emake --jobs 1 check; then
+ eerror "Test suite failed! :("
+
+ if [[ -z "${_has_increased_ulimit}" ]]; then
+ eerror "Probably because open file limit couldn't be set to 3072."
+ fi
+
+ if has userpriv ${FEATURES}; then
+ eerror "Please try to reproduce the test suite failure with FEATURES=-userpriv " \
+ "before you submit a bug report."
+ fi
+
+ fi
+}
+
+src_install() {
+ local -a DOCS=(
+ AUTHORS
+ ChangeLog
+ "${FILESDIR}"/README.gentoo-r1
+ )
+
+ use doc && local -a HTML_DOCS=( "${S}/docs/build/." )
+
+ default
+
+ newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
+ newinitd "${FILESDIR}/${PN}.initd-r1" ${PN}
+
+ systemd_newunit "${FILESDIR}/${PN}.service" ${PN}.service
+
+ keepdir /var/spool/${PN}
+ keepdir /etc/ssl/${PN}
+ keepdir /etc/${PN}.d
+
+ insinto /etc
+ newins "${FILESDIR}/${PN}.conf" ${PN}.conf
+
+ insinto /etc/rsyslog.d/
+ newins "${FILESDIR}/50-default-r2.conf" 50-default.conf
+
+ insinto /etc/logrotate.d/
+ newins "${FILESDIR}/${PN}-r1.logrotate" ${PN}
+
+ if use mysql; then
+ insinto /usr/share/${PN}/scripts/mysql
+ doins plugins/ommysql/createDB.sql
+ fi
+
+ if use postgres; then
+ insinto /usr/share/${PN}/scripts/pgsql
+ doins plugins/ompgsql/createDB.sql
+ fi
+
+ find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ local advertise_readme=0
+
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ # This is a new installation
+
+ advertise_readme=1
+
+ if use mysql || use postgres; then
+ echo
+ elog "Sample SQL scripts for MySQL & PostgreSQL have been installed to:"
+ elog " /usr/share/doc/${PF}/scripts"
+ fi
+
+ if use ssl; then
+ echo
+ elog "To create a default CA and certificates for your server and clients, run:"
+ elog " emerge --config =${PF}"
+ elog "on your logging server. You can run it several times,"
+ elog "once for each logging client. The client certificates will be signed"
+ elog "using the CA certificate generated during the first run."
+ fi
+ fi
+
+ if [[ ${advertise_readme} -gt 0 ]]; then
+ # We need to show the README file location
+
+ echo ""
+ elog "Please read"
+ elog ""
+ elog " ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
+ elog ""
+ elog "for more details."
+ fi
+}
+
+pkg_config() {
+ if ! use ssl ; then
+ einfo "There is nothing to configure for rsyslog unless you"
+ einfo "used USE=ssl to build it."
+
+ return 0
+ fi
+
+ if ! hash certtool &>/dev/null; then
+ die "certtool not found! Is net-libs/gnutls[tools] is installed?"
+ fi
+
+ # Make sure the certificates directory exists
+ local CERTDIR="${EROOT}/etc/ssl/${PN}"
+ if [[ ! -d "${CERTDIR}" ]]; then
+ mkdir "${CERTDIR}" || die
+ fi
+ einfo "Your certificates will be stored in ${CERTDIR}"
+
+ # Create a default CA if needed
+ if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
+ einfo "No CA key and certificate found in ${CERTDIR}, creating them for you..."
+ certtool --generate-privkey \
+ --outfile "${CERTDIR}/${PN}_ca.privkey.pem" || die
+ chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"
+
+ cat > "${T}/${PF}.$$" <<- _EOF
+ cn = Portage automated CA
+ ca
+ cert_signing_key
+ expiration_days = 3650
+ _EOF
+
+ certtool --generate-self-signed \
+ --load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
+ --outfile "${CERTDIR}/${PN}_ca.cert.pem" \
+ --template "${T}/${PF}.$$" || die
+ chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"
+
+ # Create the server certificate
+ echo
+ einfon "Please type the Common Name of the SERVER you wish to create a certificate for: "
+ read -r CN
+
+ einfo "Creating private key and certificate for server ${CN}..."
+ certtool --generate-privkey \
+ --outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
+ chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"
+
+ cat > "${T}/${PF}.$$" <<- _EOF
+ cn = ${CN}
+ tls_www_server
+ dns_name = ${CN}
+ expiration_days = 3650
+ _EOF
+
+ certtool --generate-certificate \
+ --outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
+ --load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
+ --load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
+ --load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
+ --template "${T}/${PF}.$$" &>/dev/null
+ chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"
+
+ else
+ einfo "Found existing ${CERTDIR}/${PN}_ca.cert.pem, skipping CA and SERVER creation."
+ fi
+
+ # Create a client certificate
+ echo
+ einfon "Please type the Common Name of the CLIENT you wish to create a certificate for: "
+ read -r CN
+
+ einfo "Creating private key and certificate for client ${CN}..."
+ certtool --generate-privkey \
+ --outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
+ chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"
+
+ cat > "${T}/${PF}.$$" <<- _EOF
+ cn = ${CN}
+ tls_www_client
+ dns_name = ${CN}
+ expiration_days = 3650
+ _EOF
+
+ certtool --generate-certificate \
+ --outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
+ --load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
+ --load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
+ --load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
+ --template "${T}/${PF}.$$" || die
+ chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"
+
+ rm -f "${T}/${PF}.$$"
+
+ echo
+ einfo "Here is the documentation on how to encrypt your log traffic:"
+ einfo " https://www.rsyslog.com/doc/rsyslog_tls.html"
+}